package com.xhkjedu.sexam.mapper.paperstudent;

import com.xhkjedu.sexam.base.TkMapper;
import com.xhkjedu.sexam.model.paperstudent.EScanerror;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface EScanerrorMapper extends TkMapper<EScanerror> {
    //试卷扫描出错列表
    List<EScanerror> listByBatchIds(@Param("batchids") String batchids);

    //批量标记待处理的扫描异常为已处理
    void batchHandleError(@Param("serrorids") List<Integer> serrorids);

    //更新状态
    void updateErrorState(@Param("serrorid") Integer serrorid, @Param("errorstate") Integer errorstate);

    //获取考号重复扫描出错记录id
    List<Integer> listIdByExamNo(@Param("examno") String examno);
}
