package com.xhkjedu.sexam.service.report;

import com.xhkjedu.sexam.mapper.report.ERbaseMapper;
import com.xhkjedu.sexam.mapper.report.ERsubjectMapper;
import com.xhkjedu.sexam.mapper.reportstu.ERstudentMapper;
import com.xhkjedu.sexam.model.reportstu.ERstudent;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @className EReportSchoolService
 * @description 校级报告
 * @date 2022/8/8 9:46
 **/
@Service
public class EReportSchoolService {
    @Resource
    private ERbaseMapper eRbaseMapper;
    @Resource
    private ERsubjectMapper eRsubjectMapper;
    @Resource
    private ERstudentMapper eRstudentMapper;

    //考试概况
    public Map getKsGk(Integer examid) {
        Map map = eRbaseMapper.findByExamId(examid);
        //成绩概况
        List<Map> subjects = eRsubjectMapper.listByExamId(examid);
        map.put("subjects", subjects);
        return map;
    }

    //成绩单
    public List<Map> listCjd(ERstudent stu) {
        return eRstudentMapper.listByExamId(stu);
    }
}
